package dev.lonami.talaria.bindings

object Native {
    init {
        System.loadLibrary("talaria")
    }

    external fun initDatabase(path: String)
    external fun initClient()
    external fun needLogin(): Boolean
    external fun requestLoginCode(phone: String): Long
    external fun signIn(tokenPtr: Long, code: String)
    external fun getDialogs(): Long
    external fun dialogCount(dialogsPtr: Long): Int
    external fun dialogPacked(dialogsPtr: Long, index: Int): String
    external fun dialogTitle(dialogsPtr: Long, index: Int): String
    external fun dialogSender(dialogsPtr: Long, index: Int): String
    external fun dialogText(dialogsPtr: Long, index: Int): String
    external fun dialogTime(dialogsPtr: Long, index: Int): String
    external fun dialogAck(dialogsPtr: Long, index: Int): Int
    external fun dialogPin(dialogsPtr: Long, index: Int): Int
    external fun freeDialogs(dialogsPtr: Long)
    external fun sendMessage(packed: String, text: String)
}
